/// <reference path="./types/index.d.ts" />

interface IAppOption {
  globalData: {
    sectionBoxTop: number,
    top: number,
    userInfo?: any,
    baseUrl: string,
    appId: string,
    deviceNum: string,
    isLogin: boolean,
  }
  userInfoReadyCallback?: WechatMiniprogram.GetUserInfoSuccessCallback,
  setAppId(): void,
  onSerivceLocationChange?(): void,
  onLogin(code: string): void
}